Skip to content

Update composer.lock #1

Open
wants to merge 1 commit into from

2 participants

@ftassi
ftassi commented Sep 19, 2012

Hi guys, I'm having trouble installing vendors, got this errors:

Your requirements could not be resolved to an installable set of packages.

Problem 1
- Conclusion: remove sensio/generator-bundle 2.1.x-dev
- Conclusion: don't install sensio/generator-bundle 2.1.x-dev
- Can only install one of: sensio/generator-bundle 2.1.x-dev, sensio/generator-bundle 2.2.x-dev.
- Can only install one of: sensio/generator-bundle 2.2.x-dev, sensio/generator-bundle 2.1.x-dev.
- Installation request for sensio/generator-bundle == 2.1.9999999.9999999-dev -> satisfiable by sensio/generator-bundle 2.1.x-dev.
- Installation request for sensio/generator-bundle == 2.2.9999999.9999999-dev -> satisfiable by sensio/generator-bundle 2.2.x-dev.

I've updated the lock file with:

composer self-update && composer update nothing && composer install --profile

But still got some dependencies errors, so ran

composer update

And this solved my issue.

@ftassi ftassi Update composer.lock to new format
Avoid composer error:
Your requirements could not be resolved to an installable set of packages.

  Problem 1
    - Conclusion: remove sensio/generator-bundle 2.1.x-dev
    - Conclusion: don't install sensio/generator-bundle 2.1.x-dev
    - Can only install one of: sensio/generator-bundle 2.1.x-dev, sensio/generator-bundle 2.2.x-dev.
    - Can only install one of: sensio/generator-bundle 2.2.x-dev, sensio/generator-bundle 2.1.x-dev.
    - Installation request for sensio/generator-bundle == 2.1.9999999.9999999-dev -> satisfiable by sensio/generator-bundle 2.1.x-dev.
    - Installation request for sensio/generator-bundle == 2.2.9999999.9999999-dev -> satisfiable by sensio/generator-bundle 2.2.x-dev.
604b666
@liuggio
liuggio commented Dec 24, 2012

The easiest solution was delete the composer.lock

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.